## GnomeDbLayout

GnomeDbLayout — Widget rendering a GnomeDbCustomLayout specification

## Synopsis

                GnomeDbLayout;
    GType       gnome_db_layout_get_type        (void);
    GtkWidget*  gnome_db_layout_new             (GnomeDbCustomLayout *layout);
    GtkWidget*  gnome_db_layout_lookup_widget   (GnomeDbLayout *layout,
                                                 const gchar *widget_name);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----GnomeDbLayout

## Implemented Interfaces

GnomeDbLayout implements AtkImplementorIface and GnomeDbDataWidget.

## Description

## Details

### GnomeDbLayout

    typedef struct _GnomeDbLayout GnomeDbLayout;

### gnome_db_layout_get_type ()

    GType       gnome_db_layout_get_type        (void);

Returns : |

### gnome_db_layout_new ()

    GtkWidget*  gnome_db_layout_new             (GnomeDbCustomLayout *layout);

Creates a new GnomeDbLayout widget.

`layout` : | a GnomeDbLayout object
Returns : | the new widget

### gnome_db_layout_lookup_widget ()

    GtkWidget*  gnome_db_layout_lookup_widget   (GnomeDbLayout *layout,
                                                 const gchar *widget_name);

Retreives the GtkWidget which name is `widget_name`, if `layout` uses a Glade file as layout.

`layout` : | a GnomeDbLayout widget
`widget_name` : | a string
Returns : | the requested GtkWidget, or `NULL` if not found